org.apache.catalina.manager

## Class JspHelper

- java.lang.Object
- - org.apache.catalina.manager.JspHelper

    public class JspHelper
    extends Object

Helper JavaBean for JSPs, because JSTL 1.1/EL 2.0 is too dumb to to what I need (call methods with parameters), or I am too dumb to use it correctly. :)

Author:
  Cédrik LIME

### Method Summary

Methods
`static String` `escapeXml(Object obj)`
`static String` `escapeXml(String buffer)` Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().
`static String` `formatNumber(long number)`
`static String` `getDisplayCreationTimeForSession(Session in_session)`
`static String` `getDisplayInactiveTimeForSession(Session in_session)`
`static String` `getDisplayLastAccessedTimeForSession(Session in_session)`
`static String` `getDisplayTTLForSession(Session in_session)`
`static String` `getDisplayUsedTimeForSession(Session in_session)`
`static String` `guessDisplayLocaleFromSession(Session in_session)` Try to get user locale from the session, if possible.
`static String` `guessDisplayUserFromSession(Session in_session)` Try to get user name from the session, if possible.
`static String` `secondsToTimeString(long in_seconds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### guessDisplayLocaleFromSession

    public static String guessDisplayLocaleFromSession(Session in_session)

Try to get user locale from the session, if possible. IMPLEMENTATION NOTE: this method has explicit support for Tapestry 3 and Struts 1.x

Parameters:
  `in_session` -
Returns:
  String

#### guessDisplayUserFromSession

    public static String guessDisplayUserFromSession(Session in_session)

Try to get user name from the session, if possible.

Parameters:
  `in_session` -
Returns:
  String

#### getDisplayCreationTimeForSession

    public static String getDisplayCreationTimeForSession(Session in_session)

#### getDisplayLastAccessedTimeForSession

    public static String getDisplayLastAccessedTimeForSession(Session in_session)

#### getDisplayUsedTimeForSession

    public static String getDisplayUsedTimeForSession(Session in_session)

#### getDisplayTTLForSession

    public static String getDisplayTTLForSession(Session in_session)

#### getDisplayInactiveTimeForSession

    public static String getDisplayInactiveTimeForSession(Session in_session)

#### secondsToTimeString

    public static String secondsToTimeString(long in_seconds)

#### escapeXml

    public static String escapeXml(Object obj)

#### escapeXml

    public static String escapeXml(String buffer)

Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().

#### formatNumber

    public static String formatNumber(long number)